petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetTimeStepNumber

Gets the number of time steps completed.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTimeStepNumber(TS ts,PetscInt *iter)

Not Collective Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

### Output Parameter

iter -number of steps completed so far Many br

Many br

### Keywords

TS, timestep, get, iteration, number

### See Also

TSGetTime(), TSGetTimeStep(), TSSetPreStep(), TSSetPreStage(), TSSetPostStage(), TSSetPostStep()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html